Bug 971242 (CVE-2013-2147)

Summary: CVE-2013-2147 Kernel: cpqarray/cciss: information leak via ioctl
Product: [Other] Security Response Reporter: Prasad J Pandit <prasad>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: agordeev, anton, bhu, davej, dhoward, esammons, fhrbata, gansalmon, iboverma, itamar, jforbes, jkacur, jonathan, jross, jwboyer, kernel-maint, kernel-mgr, lgoncalv, lwang, madhu.chinakonda, matt, mcressma, plougher, prasad, rt-maint, rvrbovsk, williams
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20130603,reported=20130603,source=oss-security,cvss2=1.7/AV:L/AC:L/Au:S/C:P/I:N/A:N,rhel-5/kernel=affected,rhel-6/kernel=notaffected,mrg-2/realtime-kernel=affected,fedora-all/kernel=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-06-10 01:03:03 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 971245, 971246, 971247, 971248, 971249    
Bug Blocks: 970312, 970314    

Description Prasad J Pandit 2013-06-06 02:16:24 EDT
Linux kernel built with the Compaq SMART2(CONFIG_BLK_CPQ_DA) & Compaq
Smart Array 5xxx(CONFIG_BLK_CPQ_CISS_DA) support is vulnerable to an
information leakage flaw. This could occur while doing ioctl(2) calls
on block devices - /dev/ida/* & /dev/cciss/* - with command `IDAGETPCIINFO'
or `CCISS_PASSTHRU32'.

A user/program able to access above devices could use this flaw to leak kernel
memory bytes.

Upstream fixes:
---------------
  -> https://lkml.org/lkml/2013/6/3/131
  -> https://lkml.org/lkml/2013/6/3/127
Comment 1 Prasad J Pandit 2013-06-06 02:24:54 EDT
Statement:                                                                      
                                                                                
This issue does not affect the version of Linux kernel as shipped with
Red Hat Enterprise Linux 6.          
                                                                                
This issue affects the version of the kernel packages as shipped with           
Red Hat Enterprise Linux 5 and Red Hat Enterprise MRG 2. Future kernel          
updates for Red Hat Enterprise Linux 5 and Red Hat Enterprise MRG 2 may         
address this issue.
Comment 4 Prasad J Pandit 2013-06-06 02:30:39 EDT
Created kernel tracking bugs for this issue

Affects: fedora-all [bug 971249]
Comment 5 Fedora Update System 2013-06-13 02:04:55 EDT
kernel-3.9.5-201.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-06-14 00:50:55 EDT
kernel-3.9.5-301.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-06-30 21:32:59 EDT
kernel-3.9.8-100.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 errata-xmlrpc 2013-08-20 14:57:09 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:1166 https://rhn.redhat.com/errata/RHSA-2013-1166.html
Comment 11 errata-xmlrpc 2013-09-16 13:06:30 EDT
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2013:1264 https://rhn.redhat.com/errata/RHSA-2013-1264.html